Subject: bug#32032: 26.1; Emacs 26 opens under X with blank window

From: Robert Pluim <[email-masked]>
Date: Tue, 03 Jul 2018 11:20:15 +0200

[email-masked] writes:

>> > I just built Emacs 26.1 on Centos 6 (RHEL 6.9). When I fire up the
>> > executable with `src/emacs -Q` over X11 it shows an empty window with no
>> > minibuffer. See the following screenshot:
>> 
>> > https://i.stack.imgur.com/0Uf4m.png
>> > 
>> > I built Emacs without `gnutls`, but that should be possible. Do I miss
>> > any essential libraries?
>> 
>> Try disabling double-buffering (etc/NEWS describes how to do that).
>
> Thanks Eli. That works. :-)
>  
> Any way to *build* Emacs so that  it disables by default double-buffering?

It doesnʼt look that way, if configure finds the Xdbe extension Emacs
uses it. You could add

'(inhibit-double-buffering . t)

to default-frame-alist, or uninstall the Xdbe.h header.

Robert